Package de.gebit.integrity.eclipse.classpath

## Class IntegrityClasspathContainer

- java.lang.Object
- - de.gebit.integrity.eclipse.classpath.IntegrityClasspathContainer

- All Implemented Interfaces:
    `org.eclipse.jdt.core.IClasspathContainer`

      public class IntegrityClasspathContainer
      extends Object
      implements org.eclipse.jdt.core.IClasspathContainer

  Classpath container which adds the Integrity bundles required to run tests as well as their immediate dependencies. Note that not all declared dependencies (and their sub-dependencies) are actually added! This is due to a lot of them actually not being required for simple test execution. If you're using an environment that does enforce full dependency resolution (OSGi!), you'll have to add all necessary dependencies there yourself (for example on the target platform in Eclipse PDE).
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jdt.core.IClasspathContainer

      `K_APPLICATION, K_DEFAULT_SYSTEM, K_SYSTEM`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegrityClasspathContainer​(org.eclipse.core.runtime.IPath aPath)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.jdt.core.IClasspathEntry[]` | `getClasspathEntries()` |
    `String` | `getDescription()` |
    `int` | `getKind()` |
    `org.eclipse.core.runtime.IPath` | `getPath()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegrityClasspathContainer

          public IntegrityClasspathContainer​(org.eclipse.core.runtime.IPath aPath)

      Creates a new instance.
      Parameters:
        `aPath` - the container path

  - ### Method Detail

    - #### getClasspathEntries

          public org.eclipse.jdt.core.IClasspathEntry[] getClasspathEntries()

      Specified by:
        `getClasspathEntries` in interface `org.eclipse.jdt.core.IClasspathContainer`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `org.eclipse.jdt.core.IClasspathContainer`

    - #### getKind

          public int getKind()

      Specified by:
        `getKind` in interface `org.eclipse.jdt.core.IClasspathContainer`

    - #### getPath

          public org.eclipse.core.runtime.IPath getPath()

      Specified by:
        `getPath` in interface `org.eclipse.jdt.core.IClasspathContainer`